Download it now!
Bug 40941 - FILEOPEN FORMATTING Draw shifts, breaks apart, and merges icons importing SVG
Summary: FILEOPEN FORMATTING Draw shifts, breaks apart, and merges icons importing SVG
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: All All
: lowest normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:svg
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2011-09-16 09:24 UTC by Christopher M. Penalver
Modified: 2019-06-23 20:59 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
gliffy-biznet.svg (554.69 KB, image/svg+xml)
2011-09-16 09:24 UTC, Christopher M. Penalver
Details
Screenshots (362.32 KB, application/pdf)
2012-01-01 01:15 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-09-16 09:24:42 UTC
Created attachment 51266 [details]
gliffy-biznet.svg

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/461128

1) lsb_release -rd
 Description: Ubuntu oneiric (development branch)
 Release: 11.10

2) apt-cache policy libreoffice-draw
libreoffice-draw:
  Installed: 1:3.4.2-2ubuntu3
  Candidate: 1:3.4.2-2ubuntu3
  Version table:
 *** 1:3.4.2-2ubuntu3 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in LibreOffice Draw via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/461128/+attachment/887683/+files/gliffy-biznet.svg && lodraw -nologo gliffy-biznet.svg

is the file looks as it does in Inkscape.

4) What happens instead is all the icons are shifed around as shown by a screenshot: https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/461128/+attachment/887688/+files/gliffy-biznet-ooomangle.png
Comment 1 Björn Michaelsen 2011-12-23 12:39:08 UTC Comment hidden (obsolete)
Comment 2 Rainer Bielefeld Retired 2012-01-01 01:06:39 UTC
[Reproducible] with "LibreOffice Portable 3.3.3  - WIN7  Home Premium (64bit) German UI [OOO330m19 (Build:301  Tag 3.3.3.1)]" and still a problem with 3.5.0 Beta2.

Looks perfect with menu 'Insert -> Picture from File', but terrible when you opensample document in DRAW: all icons are destroyed and shown at the same place on the slide.

@Thosrsten
Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.
Comment 3 Rainer Bielefeld Retired 2012-01-01 01:15:22 UTC
Created attachment 55015 [details]
Screenshots

See comment 2
Comment 4 Thorsten Behrens (CIB) 2013-09-12 16:14:55 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 5 Xisco Faulí 2015-11-10 17:26:05 UTC
Attached file is full of clipPath. Link it to bug 90168
Comment 6 Robinson Tryon (qubit) 2015-12-09 18:52:41 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-01-03 19:41:11 UTC Comment hidden (obsolete)
Comment 8 Roman Kuznetsov 2018-06-16 14:05:32 UTC
file from attach opens terrible with File->Open
and it opens fine if you use Insert->Image in Draw

Version: 6.0.4.2 (x64)
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: ru-RU (ru_RU); Calc: CL

it's a bug, but it's a another bug now. Different results if we use different methods for opening SVG in Draw.
Comment 9 Roman Kuznetsov 2018-06-17 11:09:00 UTC
(In reply to kompilainenn from comment #8)
> file from attach opens terrible with File->Open
> and it opens fine if you use Insert->Image in Draw
> 
> Version: 6.0.4.2 (x64)
> Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
> CPU threads: 4; OS: Windows 10.0; UI render: GL; 
> Locale: ru-RU (ru_RU); Calc: CL
> 
> it's a bug, but it's a another bug now. Different results if we use
> different methods for opening SVG in Draw.

in

Version: 6.1.0.0.beta2+ (x64)
Build ID: fe1a23b5c49c94410a604c8d4a6f50f43d575403
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-1, Time: 2018-06-17_06:31:41
Locale: ru-RU (ru_RU); Calc: CL

This problem -> "Different results if we use different methods for opening SVG in Draw." was fixed.

File->Open - svg file opens in Draw and looks very good

Status -> WFM
Comment 10 Christopher M. Penalver 2018-06-17 23:26:24 UTC
kompilainenn, as per your comment:
>"Status -> WFM"

No, it's not. ;)

Comparing the way the file looks in Firefox/Edge/Chrome versus Draw, the Draw version shows a cage icon in the bottom right that is far smaller than it should be.

Version: 6.1.0.0.beta1 (x64)
Build ID: 8c76dfe1284e211954c30f219b3a38dcdd82f8a0
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
Locale: en-US (en_US); Calc: CL

Please be careful in the future when toggling things closed, and the rationale used.
Comment 11 Regina Henschel 2018-06-18 00:34:15 UTC
It is OK in Version: 6.2.0.0.alpha0+ (x64)
Build ID: 2c85607101e2e04e870e3b87362f39f9a9148e6c
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-16_00:12:37
Locale: de-DE (de_DE); Calc: CL
Comment 12 Roman Kuznetsov 2018-06-18 06:16:44 UTC
(In reply to Christopher M. Penalver from comment #10)
> kompilainenn, as per your comment:
> >"Status -> WFM"
> 
> No, it's not. ;)
> 
> Comparing the way the file looks in Firefox/Edge/Chrome versus Draw, the
> Draw version shows a cage icon in the bottom right that is far smaller than
> it should be.
> 
> Version: 6.1.0.0.beta1 (x64)
> Build ID: 8c76dfe1284e211954c30f219b3a38dcdd82f8a0
> CPU threads: 8; OS: Windows 10.0; UI render: GL; 
> Locale: en-US (en_US); Calc: CL
> 
> Please be careful in the future when toggling things closed, and the
> rationale used.

Please check fixed of this bug in 6.1 beta >>>2<<< or in latest master build.

ps: And please read carefully in the future my posts
Comment 13 Christopher M. Penalver 2018-06-18 20:24:14 UTC
Same problem as noted in https://bugs.documentfoundation.org/show_bug.cgi?id=40941#c10 using:
Version: 6.1.0.0.beta2 (x64)
Build ID: 0f4d2060bc90b4008fbc8e6d9a49ec7eeea60b78
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
Locale: en-US (en_US); Calc: CL
Comment 14 QA Administrators 2019-06-22 02:50:47 UTC
Dear Christopher M. Penalver,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug